/*
 * The MIT License (MIT)
 * 
 * Copyright (c) 2015 Camil Staps <info@camilstaps.nl>
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package com.camilstaps.bar;

/**
 * A tap can fill glasses
 * @author Camil Staps, s4498062
 */
public class Tap {

    private static final int CC_PER_GLASS = 200, DRAW_TIME_PER_CC = 1;
    
    /**
     * Fill a glass. This method can fill one glass at a time.
     * @param glass the glass to fill
     * @return the glass itself
     */
    public synchronized Glass fillUp(Glass glass) {
        System.err.println("Tap fills glass " + glass.toString());
        try {
            Thread.sleep(DRAW_TIME_PER_CC * (CC_PER_GLASS - glass.getVolume()));
        } catch (InterruptedException e) {}
        glass.fill(CC_PER_GLASS);
        System.err.println("Tap finished filling glass " + glass.toString());
        return glass;
    }
    
}
